freebsd-ports

[Prev] Thread [Next]  |  [Prev] Date [Next]

next abort of perl upgrade encountered--linux-pango security problem :-( Scott Bennett Thu Jun 25 00:00:26 2009

     The saga of failures in the perl upgrade continues with the following:

===>   linux-gtk2-2.6.10_3 depends on file: 
/compat/linux/usr/lib/libpango-1.0.so.0.1001.1 - not found
===>    Verifying install for /compat/linux/usr/lib/libpango-1.0.so.0.1001.1 in 
/usr/ports/x11-toolkits/linux-pango
===>  linux-pango-1.10.2_3 has known vulnerabilities:
=> pango -- integer overflow.
   Reference: 
<http://www.FreeBSD.org/ports/portaudit/4b172278-3f46-11de-becb-001cc0377035.html>
=> Please update your ports tree and try again.
*** Error code 1

Stop in /usr/ports/x11-toolkits/linux-pango.
*** Error code 1

Stop in /usr/ports/x11-toolkits/linux-gtk2.
*** Error code 1

Stop in /usr/ports/multimedia/linux-realplayer.
*** Error code 1

Stop in /usr/ports/multimedia/mplayer.

===>>> make failed for multimedia/mplayer
===>>> Aborting update

===>>> Update for mplayer-0.99.11_12 failed
===>>> Aborting update

===>>> There are messages from installed ports to display,
       but first take a moment to review the error messages
       above.  Then press Enter when ready to proceed.

[messages omitted here  --SB]

===>>> Done displaying pkg-message files
===>>> The following actions were performed:
        Re-installation of perl-threaded-5.10.0_3
        Upgrade of ImageMagick-6.5.2.10 to ImageMagick-6.5.3.10
        Upgrade of dvipdfmx-20080607_1 to dvipdfmx-20090522_1
        Upgrade of git-1.6.3.2_1 to git-1.6.3.3
        Upgrade of gstreamer-plugins-a52dec-0.10.11,3 to 
gstreamer-plugins-a52dec-0.10.12,3
        Upgrade of gstreamer-plugins-bad-0.10.11,3 to 
gstreamer-plugins-bad-0.10.13,3
        Upgrade of gstreamer-plugins-dts-0.10.11,3 to 
gstreamer-plugins-dts-0.10.13,3
        Upgrade of gstreamer-plugins-dvd-0.10.11,3 to 
gstreamer-plugins-dvd-0.10.12,3
        Upgrade of gstreamer-plugins-good-0.10.14,3 to 
gstreamer-plugins-good-0.10.15,3
        Upgrade of gstreamer-plugins-libpng-0.10.14,3 to 
gstreamer-plugins-libpng-0.10.15,3
        Upgrade of gstreamer-plugins-mad-0.10.11,3 to 
gstreamer-plugins-mad-0.10.12,3
        Upgrade of gstreamer-plugins-ugly-0.10.11,3 to 
gstreamer-plugins-ugly-0.10.12,3
        Upgrade of gstreamer-plugins-xvid-0.10.11,3 to 
gstreamer-plugins-xvid-0.10.13,3

hellas# 

     There doesn't seem to be a more recent version of the
x11-toolkits/linux-pango port available.  What is the best way to proceed?
Will a "portmaster -fv x11-toolkits/linux-pango" do the job for now?  (I'm
not too worried about the security bug for the moment.  Although I use mplayer
to play files, they don't generally involve .png files, and I don't use
mplayer to play streaming files.)
     Please copy me in on responses, otherwise I won't see them till the
next freebsd-ports digest is sent out.  Thanks!


                                  Scott Bennett, Comm. ASMELG, CFIAG
**********************************************************************
* Internet:       bennett at cs.niu.edu                              *
*--------------------------------------------------------------------*
* "A well regulated and disciplined militia, is at all times a good  *
* objection to the introduction of that bane of all free governments *
* -- a standing army."                                               *
*    -- Gov. John Hancock, New York Journal, 28 January 1790         *
**********************************************************************
_______________________________________________
[EMAIL PROTECTED] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[EMAIL PROTECTED]"